package com.cneeds.rvhelpers.helpers;

import com.cneeds.rvhelpers.entity.ContentBean;
import com.cneeds.rvhelpers.entity.HeaderBean;
import com.cneeds.rvhelpers.entity.ContentBean;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Set;

public class SortDataHelper {

    public static List sortData(List<? extends ContentBean> originDataList) {
        if (originDataList == null) {
            return new ArrayList();
        }
        LinkedHashMap<String, ArrayList<ContentBean>> hashMap = new LinkedHashMap<>();
        for (int i = 0; i < originDataList.size(); i++) {
            ContentBean contentBean = originDataList.get(i);
            ArrayList<ContentBean> ContentBeanList = hashMap.get(contentBean.getTitle());
            if (ContentBeanList == null) {
                ContentBeanList = new ArrayList<ContentBean>();
                hashMap.put(contentBean.getTitle(), ContentBeanList);
            }
            ContentBeanList.add(contentBean);
        }

        ArrayList<Object> returnDataList = new ArrayList<>();
        Set<String> keySet = hashMap.keySet();
        for (String title : keySet) {
            ArrayList<ContentBean> ContentBeanList = hashMap.get(title);
            returnDataList.add(new HeaderBean(title));
            returnDataList.addAll(ContentBeanList);
        }
        return returnDataList;
    }
}
