package com.cneeds.rvhelpers.viewholder;

import android.content.Context;
import android.view.ViewGroup;
import android.widget.TextView;

import com.cneeds.rvhelpers.R;
import com.cneeds.rvhelpers.adapter.GridRecyclerAdapter;
import com.cneeds.rvhelpers.entity.HeaderBean;

public class TitleHolder extends BaseViewHolder<HeaderBean> {

    private final TextView mTitleName;

    public TitleHolder(Context context, ViewGroup root) {
        super(context, root, R.layout.item_grid_title);
        mTitleName = (TextView) getView(R.id.text_adapter_title_name);
    }

    @Override
    public void bindData(HeaderBean s, int position, GridRecyclerAdapter adapter) {
        mTitleName.setText(s.getTitle());
    }
}
